<%
  # si un step_tool est sélectionné :
  # @step_tool = le step_tool
  @tool_custom_field = Meth::ToolCustomField.new(step_tool_id: @step_tool)
%>

<div class="admin-col">
  <div class="admin-col-title"><%= t('.title', cust_field: Meth::CustomFieldDesc.model_name.human(count: 2)) %></div>

  <div class="admin-col-content">
    <div class="admin-col admin-col-content">
      <%= link_to t('.new', cust_field: CustomField.model_name.human), new_meth_custom_field_desc_path, class: 'btn btn-outline-warning' %>
      <%= link_to t('.update_database', cust_field: CustomField.model_name.human.pluralize), custom_fields_update_db_path, class: 'btn btn-warning icon-right',
                  data: { confirm: t('confirm.modif_database') }  %>
    </div>

    <%= simple_form_for @tool_custom_field, method: :post do |f| %>
      <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
        <thead>
          <tr>
            <th></th>
            <% Meth::CustomFieldDesc.locale_columns(:name).each do |column| %>
              <th><%= Meth::CustomFieldDesc.human_attribute_name column %></th>
            <% end %>
            <th><%= t(Meth::CustomFieldType.model_name.human)%></th>
            <th>Dependency</th>
            <th style='max-width:85px;'><%= Meth::CustomFieldDesc.human_attribute_name :show_list %></th>
            <th style='max-width:80px;'><%= Meth::CustomFieldDesc.human_attribute_name :show_search %></th>
            <th><%= Meth::CustomFieldDesc.human_attribute_name :internal_name %></th>
            <th><%= t('.used')%></th>
            <th colspan="2"></th>
          </tr>
        </thead>

        <tbody>
          <% @custom_field_descs.each do |custom_field_desc| %>
            <tr>
              <% @custom_field_desc = custom_field_desc %>
              <td>
                <%#= check_box 'custom_field_desc', '['+custom_field_desc.id.to_s+']', {checked: false, class: 'concept_check_box'}, 'true', 'false' %>
                <%= radio_button_tag 'meth_tool_custom_field[custom_field_desc_id]', custom_field_desc.id.to_s %>
              </td>
              <% Meth::CustomFieldDesc.locale_columns(:name).each do |column| %>
                <td>
                  <%= best_in_place @custom_field_desc, column, :as => :input,
                                    ok_button: "&#x2714;".html_safe,
                                    cancel_button: "&#x2718;".html_safe,
                                    display_with: lambda { |val| best_in_place_display(val).html_safe },
                                    html_attrs: { class: 'bip-input' },
                                    class: 'bip-span'
                  %>
                </td>
              <% end %>
              <td><%= custom_field_desc_name_edit(custom_field_desc) %></td>
              <td style="padding-left:10px;"><%= @custom_field_desc.ref_field&.name %></td>
              <td>
                <%#= custom_field_desc.show_list %>
                <%= best_in_place @custom_field_desc, :show_list, :as => :checkbox,
                              ok_button: "&#x2714;".html_safe,
                              cancel_button: "&#x2718;".html_safe,
                              display_with: lambda { |val| best_in_place_display(val).html_safe },
                              html_attrs: { class: 'bip-input' },
                              class: 'bip-span'
                %>
              </td>
              <td>
                <%#= custom_field_desc.show_search %>
                <%= best_in_place @custom_field_desc, :show_search, :as => :checkbox,
                              ok_button: "&#x2714;".html_safe,
                              cancel_button: "&#x2718;".html_safe,
                              display_with: lambda { |val| best_in_place_display(val).html_safe },
                              html_attrs: { class: 'bip-input' },
                              class: 'bip-span'
                %>
              </td>
              <td><%= custom_field_desc.internal_name %></td>
              <td><%= custom_field_desc_used(custom_field_desc) %></td>
              <td><%= link_to fa_icon_edit, edit_meth_custom_field_desc_path(custom_field_desc) %></td>
              <td><%= link_to fa_icon_delete, custom_field_desc, method: :delete, data: { confirm: t('confirm.sure') } %></td>
            </tr>
          <% end %>
        </tbody>
      </table>
      <div class="admin-col admin-col-content">
        <% if @step_tool %>
          <%= f.hidden_field :step_tool_id, value: @step_tool %>
        <% else %>
          <%= f.association :step_tool, collection: Meth::StepTool.includes(:tool).where(meth_tools: {tool_name: 'CustomField'}),
                                        label_method: :name_show_all  %>
        <% end %>
        <%#= submit_tag '+++' %>
        <%= button_tag(type: "submit", class: "btn btn-default") do %>
            <%= (fa_icon_add + '  ' + t('.add_cf_to_step', cust_field: CustomField.model_name.human, step: Meth::Step.model_name.human  )).html_safe %>
        <% end %>
      </div>
    <% end %>

  </div>
</div>

<div id='list-content'>
</div>
